#ifndef INTPOINTSTC_H
#define INTPOINTSTC_H

#include <stdio.h>
#include "aliasc.h"
#include "alias.h"
#include "genfile.h"

/**
   class intpointsc
*/

class intpointsc
{
 public:
  intpointsc (void);
  ~intpointsc (void);
  void alloc ();
  
  ///  material type
  mattypec tm;
  ///  material id
  long idm;

  ///  array of actual values
  double *av;
  ///  array of previous values
  double *pv;
  ///  array of gradients
  double **grad;
  ///  array of fluxes
  double **fluxes;
  ///  array of stresses
  double *stresses;
  ///  array of strains
  double *strains;
  ///  number of component of stress/strain array
  long nmcomp;
  ///  stress-strain state
  strastrestate mssst;
  
};

#endif
