#ifndef GLOBMATC_H
#define GLOBMATC_H

struct matrix;

void zero_order_matrix (long lcid);
void first_order_matrix (long lcid);
void internal_gforces (long lcid,double *intfor,double *av);
void incr_internal_gforces (long lcid,double *intfor,double *av);

void metr_right_hand_side (long lcid,double *rhs,double *av);

void approximationc ();
void export_temp ();
void internal_coup_fluxes (double *intflux,long n);
void internal_coup_forces (long lcid,double *intflux);
void right_hand_side (long lcid,double *rhs,long n);
void assemble_init_coup_upper (double *rhs);
void approximationcoup ();
void elemvaluesc (long lcid,double *r,long *cn,long ndofe);

void mefeltrfel ();
void trfelmefel ();

void approximation_temper ();
void approximation_inittemper ();
void approximation_humid ();
void nodal_nodal_humid_values (double *gv);
void nodal_nodal_temper_values (double *gv);
void nodal_nodal_inittemper_values (double *gv);

void mefel_metr ();
void trfel_metr ();
void trfel_mefel ();

#endif
